# Wallet

Data from both endpoints can be used for the SELL and BUY side, however if you also want to show the current balances of a wallet you should go with the second endpoint.&#x20;

## /asset

Load a list of assets containing token and price information for wallet rebalancings

## GET /1.3/asset

> Get list of assets (token + price)

```json
{"openapi":"3.0.0","info":{"title":"31Third Trading API","version":"1.3"},"tags":[{"name":"asset","description":"Load asset data"}],"paths":{"/1.3/asset":{"get":{"operationId":"AssetController_getAssets","summary":"Get list of assets (token + price)","parameters":[{"name":"x-api-key","in":"header","description":"31Third API key (Request via dev@31third.com)","schema":{"type":"string"}},{"name":"chain-id","in":"header","description":"Chain ID as hex string. (e.g.: 0x1 for Ethereum mainnet)","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ListResponseDto"},{"properties":{"items":{"description":"List of assets","type":"array","items":{"$ref":"#/components/schemas/AssetDto"}}}}]}}}}},"tags":["asset"]}}},"components":{"schemas":{"ListResponseDto":{"type":"object","properties":{}},"AssetDto":{"type":"object","properties":{"token":{"description":"Underlying token of the asset","allOf":[{"$ref":"#/components/schemas/SimpleTokenDto"}]},"balance":{"format":"int64","type":"integer","description":"Balance of this asset on the specified address"},"priceInNativeCurrency":{"format":"int64","type":"integer","description":"Price of this asset in native currency (wei)"},"priceInUsd":{"type":"number","description":"Price of this asset in USD"},"priceInEur":{"type":"number","description":"Price of this asset in EUR"},"valueInNativeCurrency":{"format":"int64","type":"integer","description":"Value of this asset in ETH (wei)"},"valueInUsd":{"type":"number","description":"Value of this asset in USD"},"valueInEur":{"type":"number","description":"Value of this asset in EUR"},"cmcRank":{"type":"number","description":"CoinMarketCap rank of this token"},"isTradeable":{"type":"boolean","description":"Determines if this asset is tradeable in general"},"isSellable":{"type":"boolean","description":"Determines if this asset is sellable by the connected account (E.g. it could be the case that the account just holds an amount worth 0.000001$ and is this case its not sellable)"}},"required":["token","balance","priceInNativeCurrency","priceInUsd","priceInEur","valueInNativeCurrency","valueInUsd","valueInEur","cmcRank","isTradeable","isSellable"]},"SimpleTokenDto":{"type":"object","properties":{"address":{"type":"string","description":"Address of the token"},"name":{"type":"string","description":"Name of the token"},"symbol":{"type":"string","description":"Symbol of the token"},"imageUrl":{"type":"string","description":"Url of the token icon"},"decimals":{"type":"number","description":"Decimals of the token"},"sliderColor":{"type":"string","description":"Color based on the icon that can be used for elements in the frontend"},"chain":{"description":"Chain on which the token is deployed","allOf":[{"$ref":"#/components/schemas/ChainDto"}]},"tags":{"description":"Tags categorizing the token","type":"array","items":{"type":"string"}},"deflationary":{"type":"boolean","description":"Describes if this token is deflationary (e.g.: transfer fees)"}},"required":["address","name","symbol","imageUrl","decimals","sliderColor","chain","tags","deflationary"]},"ChainDto":{"type":"object","properties":{"name":{"type":"string","description":"Name of the chain"},"identifier":{"type":"string","description":"ID of the EVM base chain as hex value"},"enabled":{"type":"boolean","description":"Describes if rebalancings are enabled"},"batchTradeSupported":{"type":"boolean","description":"Describes if batch trade is supported"},"batchTradeAddress":{"type":"string","description":"Address of the deployed 31third-protocol BatchTrade contract"},"blockExplorerLink":{"type":"string","description":"Link of the most common block explorer"},"nativeTokenAddress":{"type":"string","description":"(Pseudo)-address of the chains native token"},"wrappedNativeTokenAddress":{"type":"string","description":"Address of the chains wrapped native token"},"tokenHelperAddress":{"type":"string","description":"Address of a helper contract capable of doing batch reads"},"portfolioEnabled":{"type":"boolean","description":"Describes if portfolio feature is enabled"}},"required":["name","identifier","enabled","batchTradeSupported","batchTradeAddress","blockExplorerLink","nativeTokenAddress","wrappedNativeTokenAddress","tokenHelperAddress","portfolioEnabled"]}}}}
```

## /asset/{address}

Load a list of assets containing token, price and balance information for wallet rebalancings

## Get list of assets (token + price + balance for passed address)

> Also contains assets for all other supported tokens with a balance of zero

```json
{"openapi":"3.0.0","info":{"title":"31Third Trading API","version":"1.3"},"tags":[{"name":"asset","description":"Load asset data"}],"paths":{"/1.3/asset/{address}":{"get":{"operationId":"AssetController_getAssetsForAccount","summary":"Get list of assets (token + price + balance for passed address)","description":"Also contains assets for all other supported tokens with a balance of zero","parameters":[{"name":"x-api-key","in":"header","description":"31Third API key (Request via dev@31third.com)","schema":{"type":"string"}},{"name":"chain-id","in":"header","description":"Chain ID as hex string. (e.g.: 0x1 for Ethereum mainnet)","schema":{"type":"string"}},{"name":"address","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ListResponseDto"},{"properties":{"items":{"description":"List of assets","type":"array","items":{"$ref":"#/components/schemas/AssetDto"}}}}]}}}}},"tags":["asset"]}}},"components":{"schemas":{"ListResponseDto":{"type":"object","properties":{}},"AssetDto":{"type":"object","properties":{"token":{"description":"Underlying token of the asset","allOf":[{"$ref":"#/components/schemas/SimpleTokenDto"}]},"balance":{"format":"int64","type":"integer","description":"Balance of this asset on the specified address"},"priceInNativeCurrency":{"format":"int64","type":"integer","description":"Price of this asset in native currency (wei)"},"priceInUsd":{"type":"number","description":"Price of this asset in USD"},"priceInEur":{"type":"number","description":"Price of this asset in EUR"},"valueInNativeCurrency":{"format":"int64","type":"integer","description":"Value of this asset in ETH (wei)"},"valueInUsd":{"type":"number","description":"Value of this asset in USD"},"valueInEur":{"type":"number","description":"Value of this asset in EUR"},"cmcRank":{"type":"number","description":"CoinMarketCap rank of this token"},"isTradeable":{"type":"boolean","description":"Determines if this asset is tradeable in general"},"isSellable":{"type":"boolean","description":"Determines if this asset is sellable by the connected account (E.g. it could be the case that the account just holds an amount worth 0.000001$ and is this case its not sellable)"}},"required":["token","balance","priceInNativeCurrency","priceInUsd","priceInEur","valueInNativeCurrency","valueInUsd","valueInEur","cmcRank","isTradeable","isSellable"]},"SimpleTokenDto":{"type":"object","properties":{"address":{"type":"string","description":"Address of the token"},"name":{"type":"string","description":"Name of the token"},"symbol":{"type":"string","description":"Symbol of the token"},"imageUrl":{"type":"string","description":"Url of the token icon"},"decimals":{"type":"number","description":"Decimals of the token"},"sliderColor":{"type":"string","description":"Color based on the icon that can be used for elements in the frontend"},"chain":{"description":"Chain on which the token is deployed","allOf":[{"$ref":"#/components/schemas/ChainDto"}]},"tags":{"description":"Tags categorizing the token","type":"array","items":{"type":"string"}},"deflationary":{"type":"boolean","description":"Describes if this token is deflationary (e.g.: transfer fees)"}},"required":["address","name","symbol","imageUrl","decimals","sliderColor","chain","tags","deflationary"]},"ChainDto":{"type":"object","properties":{"name":{"type":"string","description":"Name of the chain"},"identifier":{"type":"string","description":"ID of the EVM base chain as hex value"},"enabled":{"type":"boolean","description":"Describes if rebalancings are enabled"},"batchTradeSupported":{"type":"boolean","description":"Describes if batch trade is supported"},"batchTradeAddress":{"type":"string","description":"Address of the deployed 31third-protocol BatchTrade contract"},"blockExplorerLink":{"type":"string","description":"Link of the most common block explorer"},"nativeTokenAddress":{"type":"string","description":"(Pseudo)-address of the chains native token"},"wrappedNativeTokenAddress":{"type":"string","description":"Address of the chains wrapped native token"},"tokenHelperAddress":{"type":"string","description":"Address of a helper contract capable of doing batch reads"},"portfolioEnabled":{"type":"boolean","description":"Describes if portfolio feature is enabled"}},"required":["name","identifier","enabled","batchTradeSupported","batchTradeAddress","blockExplorerLink","nativeTokenAddress","wrappedNativeTokenAddress","tokenHelperAddress","portfolioEnabled"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.31third.com/31third-api/assets/wallet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
